package com.GreenDAO.esquema;

import android.database.sqlite.SQLiteDatabase;

import java.util.Map;

import de.greenrobot.dao.AbstractDao;
import de.greenrobot.dao.AbstractDaoSession;
import de.greenrobot.dao.identityscope.IdentityScopeType;
import de.greenrobot.dao.internal.DaoConfig;

import com.GreenDAO.esquema.Login;

import com.GreenDAO.esquema.LoginDao;

//Ejemplo aplicación Android con API GreenDAO (ORM)
//
//academiaandroid.com
//
//by José Antonio Gázquez Rodríguez

/**
 * {@inheritDoc}
 * 
 * @see de.greenrobot.dao.AbstractDaoSession
 */
public class DaoSession extends AbstractDaoSession {

    private final DaoConfig loginDaoConfig;

    private final LoginDao loginDao;

    public DaoSession(SQLiteDatabase db, IdentityScopeType type, Map<Class<? extends AbstractDao<?, ?>>, DaoConfig>
            daoConfigMap) {
        super(db);

        loginDaoConfig = daoConfigMap.get(LoginDao.class).clone();
        loginDaoConfig.initIdentityScope(type);

        loginDao = new LoginDao(loginDaoConfig, this);

        registerDao(Login.class, loginDao);
    }
    
    public void clear() {
        loginDaoConfig.getIdentityScope().clear();
    }

    public LoginDao getLoginDao() {
        return loginDao;
    }

}
